Bug 178906 - Review Request: perl-Crypt-SmbHash
Review Request: perl-Crypt-SmbHash
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jose Pedro Oliveira
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT 178905
  Show dependency treegraph
 
Reported: 2006-01-25 06:21 EST by Paul Howarth
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-25 08:57:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2006-01-25 06:21:51 EST
Spec Name or Url: http://www.city-fan.org/~paul/extras/perl-Crypt-SmbHash/perl-Crypt-SmbHash.spec
SRPM Name or Url: http://www.city-fan.org/~paul/extras/perl-Crypt-SmbHash/perl-Crypt-SmbHash-0.12-1.src.rpm
Description:

This module generates Lanman and NT MD4 style password hashes, using perl-only
code for portability. The module aids in the administration of Samba style
systems.
Comment 1 Jose Pedro Oliveira 2006-01-25 07:35:33 EST
MD5SUMS:
53a9bdce3844e866ee62b7ed2d8b9845  perl-Crypt-SmbHash-0.12-1.src.rpm

a6e3f4d65a89bfcc9ba0c69691e6105b  Crypt-SmbHash-0.12.tar.gz
61922d1c2bfd8b7613b98cdbd3ffc208  perl-Crypt-SmbHash.spec

Sources:
* Crypt-SmbHash-0.12.tar.gz: MD5 digest verified against CPAN copy

Good:
* URL and Source URL ara valid
* License verified (main POD page)
* perl(:MODULE_COMPAT_xxx) present
* perl vendor libs present
* File permissions are OK
* Builds without problems in FC3 and FC5t2
* (Un)installs without problems in FC3 and FC5t2


Needswork:
* since Digest::MD4 is being required it should also be used
  by the test suite (just add it as a build requirement)

Comment 2 Jose Pedro Oliveira 2006-01-25 07:43:06 EST
Consider the package approved if you also add Digest::MD4 as a BR.
Comment 3 Paul Howarth 2006-01-25 07:46:24 EST
Spec and SRPM updated with Digest::MD4 as a BR.

Updated SRPM:
http://www.city-fan.org/~paul/extras/perl-Crypt-SmbHash/perl-Crypt-SmbHash-0.12-2.src.rpm
Comment 4 Jose Pedro Oliveira 2006-01-25 08:45:36 EST
APPROVED.
Comment 5 Paul Howarth 2006-01-25 08:57:58 EST
Build on target fedora-development-extras succeeded.
Comment 6 Paul Howarth 2007-11-27 05:12:59 EST
Package Change Request
======================
Package Name: perl-Crypt-SmbHash
New Branches: EL-4 EL-5
Comment 7 Kevin Fenzi 2007-11-27 14:38:36 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.